/////////////////////////////////////////////////////////////////
//Copyright (C) 2005 NTT CORPORATION.
//
//Lo拡張情報レコード定義クラス
//
//変更履歴
//2005.02.10  新規作成  鏡味 克彦
//
//機能
//
//OLMSカスタマイズに伴うLo拡張情報レコードを定義するクラスです。
//
/////////////////////////////////////////////////////////////////

package jp.co.ntt.lms.xmo.Lo.LoExtend;

/**
 * OLMS機能カスタマイズ：LO拡張情報レコード定義クラス
 * @author Katsuhiko Kagami(UNITEC)
 * @version 1.0
 */
public class LoExtendRecord implements java.io.Serializable, Cloneable {
	/** LoIDを保持します */
	private String mstrLoID;
	/** 購入ステータスを保持します */
	private String mstrBuy;
	/** LO推奨検索用キーワード1を保持します */
	private String mstrKeyword1;
	/** LO推奨検索用キーワード2を保持します */
	private String mstrKeyword2;
	/** LO推奨検索用キーワード3を保持します */
	private String mstrKeyword3;
	/** LO推奨検索用キーワード4を保持します */
	private String mstrKeyword4;
	/** LO推奨検索用キーワード5を保持します */
	private String mstrKeyword5;
	
	/**
	/*	コンストラクタ
	**/
	public LoExtendRecord()
	{
		mstrLoID = null;
		mstrBuy = null;
		mstrKeyword1 = null;
		mstrKeyword2 = null;
		mstrKeyword3 = null;
		mstrKeyword4 = null;
		mstrKeyword5 = null;
	}
	
	/**
	 * コンストラクタ
	 * @param strLoID		LOID
	 * @param strBuy		購入ステータス
	 * @param strKeyword1	LO推奨検索用キーワード1
	 * @param strKeyword2	LO推奨検索用キーワード2
	 * @param strKeyword3	LO推奨検索用キーワード3
	 * @param strKeyword4	LO推奨検索用キーワード4
	 * @param strKeyword5	LO推奨検索用キーワード5
	 */
	public LoExtendRecord(String strLoID, String strBuy, 
			String strKeyword1, String strKeyword2, String strKeyword3, String strKeyword4, String strKeyword5 ){
		mstrLoID = strLoID;
		mstrBuy = strBuy;
		mstrKeyword1 = strKeyword1;
		mstrKeyword2 = strKeyword2;
		mstrKeyword3 = strKeyword3;
		mstrKeyword4 = strKeyword4;
		mstrKeyword5 = strKeyword5;
	}

	/**
	 * LoIDを取得します
	 * @return String LoID
	 */
	public String getLoID()
	{
		return mstrLoID;
	}

	/**
	 * LoIDを設定します
	 * @param LoID 設定するLOID
	 */
	public void setLoID(String strLoID)
	{
		mstrLoID = strLoID;
	}

	/**
	 * 購入ステータスを取得します
	 * @return String ステータス
	 */
	public String getBuy()
	{
		return mstrBuy;
	}

	/**
	 * 購入ステータスを設定します
	 * @param strBuy ステータス
	 */
	public void setBuy(String strBuy)
	{
		mstrBuy = strBuy;
	}

	/**
	 * LO推奨キーワード1を取得します
	 * @return String 推奨キーワード1
	 */
	public String getKeyword1()
	{
		return mstrKeyword1;
	}

	/**
	 * LO推奨キーワード1を設定します
	 * @param String strKeyword
	 */
	public void setKeyword1(String strKeyword)
	{
		mstrKeyword1 = strKeyword;
	}

	/**
	 * LO推奨キーワード2を取得します
	 * @return String 推奨キーワード2
	 */
	public String getKeyword2()
	{
		return mstrKeyword2;
	}

	/**
	 * LO推奨キーワード2を設定します
	 * @param String strKeyword
	 */
	public void setKeyword2(String strKeyword)
	{
		mstrKeyword2 = strKeyword;
	}

	/**
	 * LO推奨キーワード3を取得します
	 * @return String 推奨キーワード3
	 */
	public String getKeyword3()
	{
		return mstrKeyword3;
	}

	/**
	 * LO推奨キーワード3を設定します
	 * @param String strKeyword
	 */
	public void setKeyword3(String strKeyword)
	{
		mstrKeyword3 = strKeyword;
	}

	/**
	 * LO推奨キーワード4を取得します
	 * @return String 推奨キーワード4
	 */
	public String getKeyword4()
	{
		return mstrKeyword4;
	}

	/**
	 * LO推奨キーワード4を設定します
	 * @param String strKeyword
	 */
	public void setKeyword4(String strKeyword)
	{
		mstrKeyword4 = strKeyword;
	}

	/**
	 * LO推奨キーワード5を取得します
	 * @return String 推奨キーワード5
	 */
	public String getKeyword5()
	{
		return mstrKeyword5;
	}

	/**
	 * LO推奨キーワード5を設定します
	 * @param String strKeyword
	 */
	public void setKeyword5(String strKeyword)
	{
		mstrKeyword5 = strKeyword;
	}

}
